Bug 98842 - Spec files is missing gcc-java build dependency
Spec files is missing gcc-java build dependency
Product: Red Hat Raw Hide
Classification: Retired
Component: db4 (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-07-09 10:42 EDT by Matthias Saou
Modified: 2007-03-27 00:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-25 00:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2003-07-09 10:42:18 EDT
While trying to rebuild db4-4.1.25-3.src.rpm on an older Red Hat Linux system,
the configure script failed because it didn't find any java compiler.

It would be nice to simply add this to the spec file to go with the rest of the
whole java thingy :

%ifarch %{java_arches}
BuildRequires: jikes

Comment 1 Matthias Saou 2003-07-09 10:48:05 EDT
Sorry, I hadn't gone far enough and just assumed from the error message that
jikes was the answer, but in fact, it should be :

BuildRequires: gcc-java

Which I guess could still be added as it's really not as common as gcc or
gcc-c++, even on build systems.

Comment 2 Bill Nottingham 2003-07-25 00:57:52 EDT
Fixed, will be in next build.

Note You need to log in before you can comment on or make changes to this bug.